TARLZ(1)

NAME
tarlz - creates tar archives with multimember lzip compression

SYNOPSIS
tarlz [options] [files]

DESCRIPTION
Tarlz is a massively parallel (multi-threaded) combined implementation of the tar archiver and the lzip compressor. Tarlz creates, lists and extracts archives in a simplified and safer variant of the POSIX pax format compressed with lzip, keeping the alignment between tar members and lzip members. The resulting multimember tar.lz archive is fully backward compatible with standard tar tools like GNU tar, which treat it like any other tar.lz archive. Tarlz can append files to the end of such compressed archives.

Keeping the alignment between tar members and lzip members has two advantages. It adds an indexed lzip layer on top of the tar archive, making it possible to decode the archive safely in parallel. It also minimizes the amount of data lost in case of corruption.

The tarlz file format is a safe POSIX-style backup format. In case of corruption, tarlz can extract all the undamaged members from the tar.lz archive, skipping over the damaged members, just like the standard (uncompressed) tar. Moreover, the option '--keep-damaged' can be used to recover as much data as possible from each damaged member, and lziprecover can be used to recover some of the damaged members.

OPTIONS

--help
    display this help and exit

-V, --version
    output version information and exit

-A, --concatenate
    append archives to the end of an archive

-B, --data-size=<bytes>
    set target size of input data blocks [2x8=16 MiB]

-c, --create
    create a new archive

-C, --directory=<dir>
    change to directory <dir>

-d, --diff
    find differences between archive and file system

--ignore-ids
    ignore differences in owner and group IDs

--delete
    delete files/directories from an archive

--exclude=<pattern>
    exclude files matching a shell pattern

-f, --file=<archive>
    use archive file <archive>

-h, --dereference
    follow symlinks; archive the files they point to

-n, --threads=<n>
    set number of (de)compression threads [2]

-q, --quiet
    suppress all messages

-r, --append
    append files to the end of an archive

-t, --list
    list the contents of an archive

-v, --verbose
    verbosely list files processed

-x, --extract
    extract files/directories from an archive

-0 .. -9
    set compression level [default 6]

--uncompressed
    don't compress the archive created

--asolid
    create solidly compressed appendable archive

--bsolid
    create per block compressed archive (default)

--dsolid
    create per directory compressed archive

--no-solid
    create per file compressed archive

--solid
    create solidly compressed archive

--anonymous
    equivalent to '--owner=root --group=root'

--owner=<owner>
    use <owner> name/ID for files added

--group=<group>
    use <group> name/ID for files added

--keep-damaged
    don't delete partially extracted files

--missing-crc
    exit with error status if missing extended CRC

--out-slots=<n>
    number of 1 MiB output packets buffered [64]

Exit status: 0 for a normal exit, 1 for environmental problems (file not found, invalid flags, I/O errors, etc), 2 to indicate a corrupt or invalid input file, 3 for an internal consistency error (eg, bug) which caused tarlz to panic.

REPORTING BUGS
Report bugs to lzip-bug@nongnu.org
Tarlz home page: http://www.nongnu.org/lzip/tarlz.html

COPYRIGHT
Copyright © 2019 Antonio Diaz Diaz. Using lzlib 1.11 License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for tarlz is maintained as a Texinfo manual. If the info and tarlz programs are properly installed at your site, the command

    info tarlz

should give you access to the complete manual.